package day_01_test

import (
	"advent_of_code_2024/day_01"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var BasicExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_01.SolveBasic, helpers.Format(BasicExampleData), 11)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_01.SolveComplex, helpers.Format(BasicExampleData), 31)
}
