package day_04_test

import (
	"advent_of_code_2024/day_04"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

//go:embed complex_example_data.txt
var ComplexExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_04.SolveBasic, helpers.Format(ExampleData), 18)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_04.SolveComplex, helpers.Format(ComplexExampleData), 9)
}
