package day_05_test

import (
	"advent_of_code_2024/day_05"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_05.SolveBasic, helpers.Format(ExampleData), 143)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_05.SolveComplex, helpers.Format(ExampleData), 123)
}
