package main

import (
	"advent_of_code_2024/day_01"
	"advent_of_code_2024/day_02"
	"advent_of_code_2024/day_03"
	"advent_of_code_2024/day_04"
	"advent_of_code_2024/day_05"
	"advent_of_code_2024/day_06"
	"advent_of_code_2024/day_07"
	"advent_of_code_2024/day_08"
	"advent_of_code_2024/day_09"
	"advent_of_code_2024/day_10"
	"advent_of_code_2024/day_11"
	"advent_of_code_2024/day_12"
	"advent_of_code_2024/day_13"
)

var solutions = map[string]Solution{
	"01-basic":        {day_01.SolveBasic, Day01Data},
	"01-complex":      {day_01.SolveComplex, Day01Data},
	"02-basic":        {day_02.SolveBasic, Day02Data},
	"02-complex":      {day_02.SolveComplex, Day02Data},
	"03-basic":        {day_03.SolveBasic, Day03Data},
	"03-complex":      {day_03.SolveComplex, Day03Data},
	"04-basic":        {day_04.SolveBasic, Day04Data},
	"04-complex":      {day_04.SolveComplex, Day04Data},
	"05-basic":        {day_05.SolveBasic, Day05Data},
	"05-complex":      {day_05.SolveComplex, Day05Data},
	"06-basic":        {day_06.SolveBasic, Day06Data},
	"06-complex":      {day_06.SolveComplex, Day06Data},
	"07-basic":        {day_07.SolveBasic, Day07Data},
	"07-complex":      {day_07.SolveComplex, Day07Data},
	"08-basic":        {day_08.SolveBasic, Day08Data},
	"08-complex":      {day_08.SolveComplex, Day08Data},
	"09-basic":        {day_09.SolveBasic, Day08Data},
	"09-complex":      {day_09.SolveComplex, Day08Data},
	"10-basic":        {day_10.SolveBasic, Day10Data},
	"10-complex":      {day_10.SolveComplex, Day10Data},
	"11-basic":        {day_11.SolveBasic, Day11Data},
	"11-complex":      {day_11.SolveComplex, Day11Data},
	"12-basic":        {day_12.SolveBasic, Day12Data},
	"12-complex":      {day_12.SolveComplex, Day12Data},
	"12-complex-fast": {day_12.SolveComplexFast, Day12Data},
	"13-basic":        {day_13.SolveBasic, Day13Data},
	"13-complex":      {day_13.SolveComplex, Day13Data},
}
