package day_02_test

import (
	"advent_of_code_2024/day_02"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_02.SolveBasic, helpers.Format(ExampleData), 2)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_02.SolveComplex, helpers.Format(ExampleData), 4)
}
