package day_03_test

import (
	"advent_of_code_2024/day_03"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

//go:embed complex_example_data.txt
var ComplexExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_03.SolveBasic, helpers.Format(ExampleData), 161)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_03.SolveComplex, helpers.Format(ComplexExampleData), 48)
}
