package day_09_test

import (
	"advent_of_code_2024/day_09"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_09.SolveBasic, helpers.Format(ExampleData), 1928)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_09.SolveComplex, helpers.Format(ExampleData), 2858)
}
