package day_12_test

import (
	"advent_of_code_2024/day_12"
	"advent_of_code_2024/helpers"
	_ "embed"
	"testing"
)

//go:embed example_data.txt
var ExampleData string

//go:embed example_data_01.txt
var ExampleData01 string

func TestBasicSolutionExample(t *testing.T) {
	helpers.Check(t, day_12.SolveBasic, helpers.Format(ExampleData), 1930)
}

func TestComplexSolutionExample(t *testing.T) {
	helpers.Check(t, day_12.SolveComplex, helpers.Format(ExampleData), 1206)
}

func TestComplexSolutionExample01(t *testing.T) {
	helpers.Check(t, day_12.SolveComplex, helpers.Format(ExampleData01), 80)
}
